<?php
namespace Claromentis\Onesignal\Repository;

$GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"] = (@$GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"] ?: array()) + array("_4d046d5121cfe3d589" . "b901f2642dfc8e" => base64_decode("cGxh" . "eWVy" . "X2lk"), "user_i" . "d" => base64_decode("dXNl" . "cl9p" . "ZA=="));
use Claromentis\Core\ORM\Repository;
use Claromentis\Onesignal\Entity\OnesignalUser;
use Illuminate\Support\Collection;









class OnesignalRepository extends Repository
{
    public function __construct($_dabd1eb8030f2c29327a192cddfd85a9, $_7bf14ccb9bebab3964c83c16c77505c6 = null)
    {
        parent::__construct($_dabd1eb8030f2c29327a192cddfd85a9, $_7bf14ccb9bebab3964c83c16c77505c6);
    }
    public function findByUserIds(array $_17247f55ce15f647f57c3ef8bb3a474a) : Collection
    {
        return $this->query()->select($GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"]["_4d046d51" . "21cfe3d58" . "9b901f264" . "2dfc8e"])->whereIn($GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["user_" . "id"], $_17247f55ce15f647f57c3ef8bb3a474a)->get();
    }
    
    
    
    
    
    
    
    public function findPlayerIds(array $_8ac06e0ea7a87ff69facc6abbec46ad0) : array
    {
        return $this->findByUserIds($_8ac06e0ea7a87ff69facc6abbec46ad0)->pluck($GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["_4d046d5121cfe3d589b901" . "f2642dfc8e"])->toArray();
    }
    public function deleteByPlayerIds(array $_edcced657b1c15fbd72d2e95bd015967)
    {
        if (!empty($_edcced657b1c15fbd72d2e95bd015967)) {
            $this->query()->whereIn($GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["_4d046d5121c" . "fe3d589b901f" . "2642dfc8e"], $_edcced657b1c15fbd72d2e95bd015967)->delete();
        }
    }
}